Subject: Re: [PATCH] show-ref: Allow --head to work with --verify

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Jan 2017 15:15:35 -0800

Junio C Hamano <[email-masked]> writes:

> Your log message for the patch needs to be updated by summarizing
> the above better.

Here is my attempt.

     "git show-ref HEAD" used with "--verify" (because the user is
     not interested in seeing refs/remotes/origin/HEAD), and used
     with "--head" (because the user does not want HEAD to be
     filtered out), i.e. "git show-ref --head --verify HEAD", did
     not work as expected.

     Instead of insisting that the input begins with "refs/", allow
     "HEAD" when "--head" is given in the codepath that handles
     "--verify", so that all valid full refnames including HEAD are
     passed to the same output machinery.